import request from "@/utils/request.js";


/**
 * @description 获取我的视频作品
 * @params pageNum, pageSize
 * @returns data
 */
export function userPhotoVideoListApi(pageNum, pageSize, title) {
  return request({
    url: `/api/userPhotoVideo/list?pageNum=${pageNum}&pageSize=${pageSize}&title=${title}`,
    method: 'get'
  })
}

/**
 * @description 删除视频作品
 * @params videoID
 * @returns data
 */
export function delUserPhotoVideoByIDApi(videoID) {
  return request({
    url: `/api/userPhotoVideo/del?id=${videoID}`,
    method: 'get'
  })
}

/**
 * @description 提升画质
 * @params id
 * @returns data
 */
export function videoHyApi(id) {
  return request({
    url: `/api/userPhotoVideo/videoHy?id=${id}`,
    method: 'get'
  })
}

/**
 * @description 查询是否有视频更新
 * @params id
 * @returns data
 */
export function checkVideoStatusApi(list) {
  return request({
    url: `/api/userPhotoVideo/checkVideoStatus?list=${list}`,
    method: 'get'
  })
}